/*
    Copyright (C) 1998  Michael Ravits

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _STUFF_H
#define _STUFF_H

#include "newplayer.h"

class stuff
{
  private:
	char		*app_name;
	int		files_num;
	char		**file_list;
	char		*curr_file;
	char		*curr_path;
	char		*path_and_file;
	bool		help_window_active;
	stack<char *>	dir_stack;
  public:
	stuff(char *);
	stuff(void);
	~stuff(void);
	void	clean_lists(void);
	bool	read_dir(void);
	void	print_error(char *);
	bool	is_dir(char *);
	bool	is_link(char *);
	bool	is_mp3(char *);
	bool	is_plist(char *);
	int	rfiles_num(void);
	char	*rfile_name(int);
	void	event_treat(int, int, XA_Message, class screen &, class player &, class playlist &);
	void	give_path_and_file(char *);
	void	add_all_to_playlist(class playlist &);
	void	help_screen(class screen &, class player &, class playlist &);
	bool	is_help_window_active(void);
	void	remove_all_in_cur_dir(class playlist &);
	void	set_app_name(char *);
};

#endif
