/*
    Copyright (C) 1998, 1999  Michael Ravits

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "include/newplayer.h"
#include "include/screen.h"
#include "include/stuff.h"
#include "include/player_newplayer.h"
#include "include/playlist.h"


int main(int argc, char *argv[])
{
	stuff		nstuff(argv[0]);
	playlist	nplaylist;
	player		nplayer;
	screen		nscreen(nstuff, nplaylist, nplayer);
	XA_Message	message;
	int		key = 0, retval, temp, status;
	fd_set		fds;
		
	temp = nplayer.rread_pipe();
	nscreen.key_down_without_draw( &nstuff, nplaylist, nplayer );
	nscreen.set_mvb(50, 50, 50);
	nscreen.draw_screen(nstuff, nplaylist, nplayer);
	
	while((key != 'q') && (key != 'Q'))
	{
		FD_ZERO(&fds);
		FD_SET(0, &fds);
		FD_SET(temp, &fds);
		retval = select(temp + 1, &fds, NULL, NULL, NULL);
		if(retval < 0) 
		{
			nstuff.print_error("select() returned with error.");
			exit(-1);
		}
		
		key = getch();

		if((key > 0) || (nplayer.read_message(message, status)))
			nstuff.event_treat(key, status, message, nscreen, nplayer, nplaylist);
	}
	
	return 0;
}
